# fulfillOrder

### Arguments

| Argument                                                                                | Description                 |
| --------------------------------------------------------------------------------------- | --------------------------- |
| input ([FulfillOrderInput](/graphql-api/api-reference/objects/fulfill-order-input.md)!) | Parameters for FulfillOrder |

### FulfillOrderInput Arguments

| Argument                                                                                  | Description                                                                                                                                                                                                                                       |
| ----------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id ([ID](/graphql-api/api-reference/objects/id.md)!)                                      | ID of the confirmed or fulfilled order to (re-)fulfill.                                                                                                                                                                                           |
| fulfilledAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md)) | The timestamp of when the order was fulfilled. Will use the current time if the argument is missing.                                                                                                                                              |
| trackingCode ([String](/graphql-api/api-reference/objects/string.md))                     | An optional tracking code for the order that can be included in an email. If a tracking code is provided then the order track and trace email will be sent. Please note: The the same tracking code will not be stored or emailed more than once. |

### Return fields

#### errors (\[[ModelValidationError](/graphql-api/api-reference/objects/model-validation-error.md)!]!)

#### order ([Order](/graphql-api/api-reference/objects/order.md))


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/mutations/fulfill-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
